/* ------------------------------------------------------------------------
 * Variable definitions
 * ------------------------------------------------------------------------ */

var g_baseDocumentName = 'wa_04';
var g_playerWarningMessage = 'Das RealMedia PlugIn konnte nicht erkannt werden! \nMögliche Ursache: \n- Das RealMedia PlugIn ist nicht installiert.\n- Keine Neuinstallation des PlugIns nach Installation von Netscape/Mozilla/Firefox.';

var g_slidesWidth = 673;
var g_slidesHeight = 505;

var g_hasVideo = true;
var g_videoWidth = 240;
var g_videoHeight = 180;
var g_hasStillImage = false;
var g_stillImageWidth = 0;
var g_stillImageHeight = 0;

var g_thumbCount = 29;

var g_hasClips = false;
var g_numOfClips = 0;

var g_isAutostartMode = false;
var g_isStandaloneMode = false; 
var g_hasTesting = false;
var g_scormEnabled = false;
var g_pluginContextMenuEnabled = true;

var g_scormLoaded = false;
var g_LMSResumeSupported = false;

var g_returnPosition = 0;
var g_sessionTime = 0;

var maxLayerIndex = 29;

// Declaration of g_mediaStartTimes and g_mediaDurations
var g_mediaStartTimes = new Array();
var g_mediaDurations = new Array();
g_mediaStartTimes[0] = 0;
g_mediaDurations[0] = 3073277;


// Declaration of g_clipEntries
var g_clipEntries = new Array();


// Declaration of g_visitedPages - use to track completion status
var g_visitedPages = new Array();
for(var i = 0; i < g_thumbCount; i++)
	g_visitedPages[i] = "false";

// Declaration of g_thumbEntries
var g_thumbEntries = new Array();
g_thumbEntries[0] = new ThumbEntry("4. Literatursuche, -auswa...", "4. Literatursuche, -auswahl und -beschaffung", 0, "wa_04_00000000_thumb.png");
g_thumbEntries[1] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 1", 60101, "wa_04_00060101_thumb.png");
g_thumbEntries[2] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 2", 180074, "wa_04_00180074_thumb.png");
g_thumbEntries[3] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 3", 191166, "wa_04_00191166_thumb.png");
g_thumbEntries[4] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 4", 208037, "wa_04_00208037_thumb.png");
g_thumbEntries[5] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 5", 285142, "wa_04_00285142_thumb.png");
g_thumbEntries[6] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 6", 303003, "wa_04_00303003_thumb.png");
g_thumbEntries[7] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 7", 386437, "wa_04_00386437_thumb.png");
g_thumbEntries[8] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 8", 533927, "wa_04_00533927_thumb.png");
g_thumbEntries[9] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 9", 930774, "wa_04_00930774_thumb.png");
g_thumbEntries[10] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 10", 972580, "wa_04_00972580_thumb.png");
g_thumbEntries[11] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 11", 1011868, "wa_04_01011868_thumb.png");
g_thumbEntries[12] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 12", 1012928, "wa_04_01012928_thumb.png");
g_thumbEntries[13] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 13", 1025435, "wa_04_01025435_thumb.png");
g_thumbEntries[14] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 14", 1028238, "wa_04_01028238_thumb.png");
g_thumbEntries[15] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 15", 1060322, "wa_04_01060322_thumb.png");
g_thumbEntries[16] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 16", 1102883, "wa_04_01102883_thumb.png");
g_thumbEntries[17] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 17", 1300098, "wa_04_01300098_thumb.png");
g_thumbEntries[18] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 18", 1372096, "wa_04_01372096_thumb.png");
g_thumbEntries[19] = new ThumbEntry("Wissenschaftliche Recherc...", "Wissenschaftliche Recherche 19", 1533743, "wa_04_01533743_thumb.png");
g_thumbEntries[20] = new ThumbEntry("Literatursuche 1", "Literatursuche 1", 1550888, "wa_04_01550888_thumb.png");
g_thumbEntries[21] = new ThumbEntry("Literatursuche 2", "Literatursuche 2", 1716409, "wa_04_01716409_thumb.png");
g_thumbEntries[22] = new ThumbEntry("Literatursuche 3", "Literatursuche 3", 2003340, "wa_04_02003340_thumb.png");
g_thumbEntries[23] = new ThumbEntry("Literatursuche 4", "Literatursuche 4", 2236796, "wa_04_02236796_thumb.png");
g_thumbEntries[24] = new ThumbEntry("Literaturauswahl 1", "Literaturauswahl 1", 2375075, "wa_04_02375075_thumb.png");
g_thumbEntries[25] = new ThumbEntry("Literaturauswahl 2", "Literaturauswahl 2", 2758195, "wa_04_02758195_thumb.png");
g_thumbEntries[26] = new ThumbEntry("Literaturbeschaffung 1", "Literaturbeschaffung 1", 2837459, "wa_04_02837459_thumb.png");
g_thumbEntries[27] = new ThumbEntry("Literaturbeschaffung 2", "Literaturbeschaffung 2", 2892820, "wa_04_02892820_thumb.png");
g_thumbEntries[28] = new ThumbEntry("Literaturbeschaffung 3", "Literaturbeschaffung 3", 2965258, "wa_04_02965258_thumb.png");


// Declaration of g_slideEntries
var g_slideEntries = new Array();
g_slideEntries[0] = new SlideEntry(0, 0, "wa_04_00000000.png", 0, 0, 0, 673, 505);
g_slideEntries[1] = new SlideEntry(1, 60101, "wa_04_00060101.png", 0, 0, 0, 673, 505);
g_slideEntries[2] = new SlideEntry(1, 60104, "wa_04_00060104.png", 1, 0, 0, 16, 16);
g_slideEntries[3] = new SlideEntry(2, 180074, "wa_04_00180074.png", 0, 0, 0, 673, 505);
g_slideEntries[4] = new SlideEntry(2, 180077, "wa_04_00180077.png", 2, 0, 0, 16, 16);
g_slideEntries[5] = new SlideEntry(3, 191166, "wa_04_00191166.png", 0, 0, 0, 673, 505);
g_slideEntries[6] = new SlideEntry(3, 191168, "wa_04_00191168.png", 3, 0, 0, 16, 16);
g_slideEntries[7] = new SlideEntry(4, 208037, "wa_04_00208037.png", 0, 0, 0, 673, 505);
g_slideEntries[8] = new SlideEntry(4, 208039, "wa_04_00208039.png", 4, 0, 0, 16, 16);
g_slideEntries[9] = new SlideEntry(5, 285142, "wa_04_00285142.png", 0, 0, 0, 673, 505);
g_slideEntries[10] = new SlideEntry(5, 285144, "wa_04_00285144.png", 5, 0, 0, 16, 16);
g_slideEntries[11] = new SlideEntry(6, 303003, "wa_04_00303003.png", 0, 0, 0, 673, 505);
g_slideEntries[12] = new SlideEntry(6, 303004, "wa_04_00303004.png", 6, 0, 0, 16, 16);
g_slideEntries[13] = new SlideEntry(7, 386437, "wa_04_00386437.png", 0, 0, 0, 673, 505);
g_slideEntries[14] = new SlideEntry(7, 386441, "wa_04_00386441.png", 7, 0, 0, 16, 16);
g_slideEntries[15] = new SlideEntry(8, 533927, "wa_04_00533927.png", 0, 0, 0, 673, 505);
g_slideEntries[16] = new SlideEntry(8, 533932, "wa_04_00533932.png", 8, 0, 0, 16, 16);
g_slideEntries[17] = new SlideEntry(9, 930774, "wa_04_00930774.png", 0, 0, 0, 673, 505);
g_slideEntries[18] = new SlideEntry(9, 930776, "wa_04_00930776.png", 9, 0, 0, 16, 16);
g_slideEntries[19] = new SlideEntry(10, 972580, "wa_04_00972580.png", 0, 0, 0, 673, 505);
g_slideEntries[20] = new SlideEntry(10, 972583, "wa_04_00972583.png", 10, 0, 0, 16, 16);
g_slideEntries[21] = new SlideEntry(11, 1011868, "wa_04_01011868.png", 0, 0, 0, 673, 505);
g_slideEntries[22] = new SlideEntry(11, 1011868, "wa_04_01011868.png", 11, 0, 0, 673, 505);
g_slideEntries[23] = new SlideEntry(12, 1012928, "wa_04_01012928.png", 0, 0, 0, 673, 505);
g_slideEntries[24] = new SlideEntry(12, 1012928, "wa_04_01012928.png", 12, 0, 0, 673, 505);
g_slideEntries[25] = new SlideEntry(13, 1025435, "wa_04_01025435.png", 0, 0, 0, 673, 505);
g_slideEntries[26] = new SlideEntry(13, 1025435, "wa_04_01025435.png", 13, 0, 0, 673, 505);
g_slideEntries[27] = new SlideEntry(14, 1028238, "wa_04_01028238.png", 0, 0, 0, 673, 505);
g_slideEntries[28] = new SlideEntry(14, 1028239, "wa_04_01028239.png", 14, 0, 0, 16, 16);
g_slideEntries[29] = new SlideEntry(15, 1060322, "wa_04_01060322.png", 0, 0, 0, 673, 505);
g_slideEntries[30] = new SlideEntry(15, 1060324, "wa_04_01060324.png", 15, 0, 0, 16, 16);
g_slideEntries[31] = new SlideEntry(16, 1102883, "wa_04_01102883.png", 0, 0, 0, 673, 505);
g_slideEntries[32] = new SlideEntry(16, 1102886, "wa_04_01102886.png", 16, 0, 0, 16, 16);
g_slideEntries[33] = new SlideEntry(17, 1300098, "wa_04_01300098.png", 0, 0, 0, 673, 505);
g_slideEntries[34] = new SlideEntry(17, 1300101, "wa_04_01300101.png", 17, 0, 0, 16, 16);
g_slideEntries[35] = new SlideEntry(18, 1372096, "wa_04_01372096.png", 0, 0, 0, 673, 505);
g_slideEntries[36] = new SlideEntry(18, 1372100, "wa_04_01372100.png", 18, 0, 0, 16, 16);
g_slideEntries[37] = new SlideEntry(19, 1533743, "wa_04_01533743.png", 0, 0, 0, 673, 505);
g_slideEntries[38] = new SlideEntry(19, 1533746, "wa_04_01533746.png", 19, 0, 0, 16, 16);
g_slideEntries[39] = new SlideEntry(20, 1550888, "wa_04_01550888.png", 0, 0, 0, 673, 505);
g_slideEntries[40] = new SlideEntry(20, 1550890, "wa_04_01550890.png", 20, 0, 0, 16, 16);
g_slideEntries[41] = new SlideEntry(21, 1716409, "wa_04_01716409.png", 0, 0, 0, 673, 505);
g_slideEntries[42] = new SlideEntry(21, 1716411, "wa_04_01716411.png", 21, 0, 0, 16, 16);
g_slideEntries[43] = new SlideEntry(22, 2003340, "wa_04_02003340.png", 0, 0, 0, 673, 505);
g_slideEntries[44] = new SlideEntry(22, 2003342, "wa_04_02003342.png", 22, 0, 0, 16, 16);
g_slideEntries[45] = new SlideEntry(23, 2236796, "wa_04_02236796.png", 0, 0, 0, 673, 505);
g_slideEntries[46] = new SlideEntry(23, 2236799, "wa_04_02236799.png", 23, 0, 0, 16, 16);
g_slideEntries[47] = new SlideEntry(24, 2375075, "wa_04_02375075.png", 0, 0, 0, 673, 505);
g_slideEntries[48] = new SlideEntry(24, 2375079, "wa_04_02375079.png", 24, 0, 0, 16, 16);
g_slideEntries[49] = new SlideEntry(25, 2758195, "wa_04_02758195.png", 0, 0, 0, 673, 505);
g_slideEntries[50] = new SlideEntry(25, 2758198, "wa_04_02758198.png", 25, 0, 0, 16, 16);
g_slideEntries[51] = new SlideEntry(26, 2837459, "wa_04_02837459.png", 0, 0, 0, 673, 505);
g_slideEntries[52] = new SlideEntry(26, 2837461, "wa_04_02837461.png", 26, 0, 0, 16, 16);
g_slideEntries[53] = new SlideEntry(27, 2892820, "wa_04_02892820.png", 0, 0, 0, 673, 505);
g_slideEntries[54] = new SlideEntry(27, 2892822, "wa_04_02892822.png", 27, 0, 0, 16, 16);
g_slideEntries[55] = new SlideEntry(28, 2965258, "wa_04_02965258.png", 0, 0, 0, 673, 505);
g_slideEntries[56] = new SlideEntry(28, 2965260, "wa_04_02965260.png", 28, 0, 0, 16, 16);
g_slideEntries[57] = new SlideEntry(28, 3061521, "wa_04_03061521.png", 29, 0, 0, 16, 16);


// Declaration of g_tpEntries
var g_tpEntries = new Array();
g_tpEntries[0] = new TpEntry(0, -1, -1, false);


// Declaration of g_interactionEntries
var g_interactionEntries = new Array();


// Declaration of g_stopmarkTimes
var g_stopmarkTimes = new Array();


// Declaration of g_targetmarkTimes
var g_targetmarkTimes = new Array();


// Error messages
var g_realPnrDocMissing = 'Das RealMedia-Plugin konnte die referenzierte Datei nicht finden.\nDie folgende URL konnte nicht gefunden werden:\n\n';
var PNR_DOC_MISSING = -2147221496;
var g_realPnrNetConnect = 'Das RealMedia-Plugin konnte keine Verbindung mit dem Server aufnehmen. Dies kann\nmehrere Ursachen haben:\n - Eine Firewall sperrt Port 554, der für den Streaming-Betrieb notwendig ist\n - Der referenzierte RealMedia-Server ist nicht gültig\n - Die IP-Adresse des RealMedia-Servers ist nicht korrekt.\n\nDie referenzierte URL ist die folgende:\n\n';
var PNR_NET_CONNECT = -2147221436;
var g_realPnrProxyNetConnect = 'Das RealMedia-Plugin konnte keine Verbindung mit dem Proxy-Server aufnehmen. \nMögliche Ursache:\n - Eine Firewall sperrt Port 554, der für den Streaming-Betrieb notwendig ist.\n\nDie referenzierte URL ist die folgende:\n\n';
var PNR_PROXY_NET_CONNECT = -2147221293;
var g_realPnrInvalidHost = 'Die URL, auf die sich das RealMedia-Plugin bezieht, ist ungültig:\n\n';
var PNR_INVALID_HOST = -2147221433;
var g_realPnrServerAlert = 'Der RealMedia-Server meldet einen Fehler. Möglicherweise ist der Server\nüberlastet. Laden Sie die Seite neu, und versuchen Sie es erneut. \n\nDie referenzierte URL ist die folgende:\n\n';
var PNR_SERVER_ALERT = -2147221308;
var g_realPnrDnr = 'Das RealMedia-Plugin meldet einen DNS-Fehler bei der folgenden URL:\n\n';
var PNR_DNR = -2147217468;
var g_realPnrServerTimeout = 'Der RealMedia-Server meldet eine Zeitüberschreitung. Möglicherweise ist der Server\nüberlastet oder die Verbindung zum Server ist sehr schlecht. \nLaden Sie die Seite neu, und versuchen Sie es erneut.\n\nDie referenzierte URL ist die folgende:\n\n';
var PNR_SERVER_TIMEOUT = -2147221428;
var g_realPnrFail = 'Das RealMedia-Plugin meldet einen &quot;Allgemeinen Fehler&quot;. Dies kann \nmehrere Ursachen haben:\n - Die referenzierte URL ist ungültig.\n - Es wird das HTTPS-Protokoll benutzt, das vom RealPlayer nicht \nunterstützt wird. \n\nDie referenzierte URL ist die folgende:\n\n';
var PNR_FAIL = -2147467259;
var g_realPluginCheckError = 'Eine Überprüfung des RealMedia PlugIns schlug fehl. \nDas Dokument kann wahrscheinlich nicht wiedergegeben werden.';
var g_realUnknownError = 'Das RealMedia-Plugin meldet einen unbekannten Fehler. Prüfen Sie unter\nhttp://www.lecturnity.de/csc\nob zu dem folgenden Fehlercode weitere Informationen vorliegen:\n\n';
var g_realHttpsWarning = 'Es wird eine geschützte Verbindung über das HTTPS-Protokoll verwendet. \nDas HTTPS-Protokoll wird vom RealPlayer nicht unterstützt! \nEine Wiedergabe des Dokuments ist daher nicht möglich. \n\nDie referenzierte URL ist die folgende:\n\n';

var g_wmNetscapeLess71 = 'Netscape Versionen kleiner als Version 7.1 werden nicht unterstützt! \nBitte aktualisieren Sie Ihren Browser.';
var g_wmNetscape8 = 'Netscape 8 wird bislang nicht unterstützt! \nVerwenden Sie bitte Netscape Version 7.1 oder 7.2.';
var g_wmFirefoxLess10 = 'Firefox Versionen kleiner als Version 1.0 werden nicht unterstützt! \nBitte aktualisieren Sie Ihren Browser.';
var g_wmMozillaLess16 = 'Mozilla Versionen kleiner als Version 1.6 werden nicht unterstützt! \nBitte aktualisieren Sie Ihren Browser.';
var g_wmBrowserNotSupported = 'wird nicht unterstützt! \nBitte aktualisieren Sie Ihren Browser.';
var g_wmActivexControlRequired = 'benötigt für die Wiedergabe von LECTURNITY Windows Media-Dokumenten \nein ActiveX-PlugIn. \n';
var g_wmActivexControlWarning = '\n\nEs kann nicht gewährleistet werden, dass das ActiveX PlugIn mit dieser Browserversion \narbeitet. Aktualisieren Sie bitte gegebenenfalls Ihren Browser.';
var g_wmActivexControlDownload = '\n\nDieses ActiveX-PlugIn ist entweder nicht installiert oder nicht aktiviert. \nGehen Sie daher wie folgt vor: \n\nSchritt 1: Aktivierung \nAktivieren Sie das ggf. bereits installierte ActiveX-PlugIn, indem Sie in der Adresszeile \n\'about:plugins\' eingeben. Schließen Sie den Browser und laden Sie das Dokument ein \nweiteres Mal. Erscheint dabei diese Fehlermeldung erneut, fahren Sie bitte mit \nSchritt 2 fort. Ansonsten ist das ActiveX PlugIn jetzt installiert und aktiviert. \n\nSchritt 2: Installation \nInstallieren Sie das ActiveX-PlugIn. Führen sie nach der Installation Schritt 1 erneut aus. \n\nWollen Sie die Web-Seite mit den ActiveX-PlugIns öffnen und folgende xpi-Datei \nherunterladen? \n\n';
var g_wmActivexControlUnknown = 'Diese Browserversion benötigt für die Wiedergabe von LECTURNITY Windows Media-Dokumenten \nein ActiveX-PlugIn. \n';
var g_wmProgressiveDownloadAlert = 'Ladevorgang läuft - kein Springen, Blättern oder \nScrollen möglich. \n\nSolange ´Lade...´ in der Statuszeile angezeigt wird, \nwerden weitere Daten heruntergeladen. \nSpringen, Blättern und Scrollen im Dokument ist erst \nnach abgeschlossenem Ladevorgang möglich.';
var g_wmProgressiveDownloadWmp64 = 'Windows Media Player 6.4 PlugIn erkannt\n- kein Springen, Blättern oder Scrollen möglich. \n\nWährend der Wiedergabe von einen HTTP-Server \nkann mit diesem PlugIn nicht im Dokument \ngesprungen, geblättert oder gescrollt werden. \nInstallieren Sie den Windows Media Player Version 9 \noder höher und versuchen Sie es erneut.';

var g_urlHasIllegalCharacters = 'Warnung! \nFolgende URLs dieses Dokuments enthalten nicht unterstützte Zeichen:\n\n';
var g_urlNoReplayPossible = '\nEs können Wiedergabe-Probleme auftreten.';
